Reschedule an appointment
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/appointments/{appointment}/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appointment_date": "2023-12-25",
"clinic_schedule_slot_id": 123,
"reason": "<string>",
"notes": "<string>",
"assigned_clinician_id": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appointment_date: '2023-12-25',
clinic_schedule_slot_id: 123,
reason: '<string>',
notes: '<string>',
assigned_clinician_id: 123
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/appointments/{appointment}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/appointments/{appointment}/reschedule"
payload = {
"appointment_date": "2023-12-25",
"clinic_schedule_slot_id": 123,
"reason": "<string>",
"notes": "<string>",
"assigned_clinician_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Staff appointments
Reschedule an appointment
POST
/
appointments
/
{appointment}
/
reschedule
Reschedule an appointment
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/appointments/{appointment}/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appointment_date": "2023-12-25",
"clinic_schedule_slot_id": 123,
"reason": "<string>",
"notes": "<string>",
"assigned_clinician_id": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appointment_date: '2023-12-25',
clinic_schedule_slot_id: 123,
reason: '<string>',
notes: '<string>',
assigned_clinician_id: 123
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/appointments/{appointment}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/appointments/{appointment}/reschedule"
payload = {
"appointment_date": "2023-12-25",
"clinic_schedule_slot_id": 123,
"reason": "<string>",
"notes": "<string>",
"assigned_clinician_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Resource returned.